/*
* Styling of the drawing container and the drawn graph elements (= SVG tags and content)
*/
@mixin graph-container {
    @include abs($all: d("padding"));

    z-index: z("site");
    background-color: color("white");
    border-radius: d("border-radius");

    #summary {
        @include abs($top: 50%, $left: 50%);
        transform: translate(-50%, -50%);

        z-index: z("top");

        p {
            margin-top: 15px;
            opacity: .5;

            &:first-of-type {
                margin-bottom: 40px;
            }

            span {
                @extend %keyed;

                &:last-of-type {
                    margin-right: 5px;
                }
            }
        }

        width: 50%;
        min-width: 400px;

    }

    #graph-container {
        @include abs($all: 0);
        z-index: z("above-all");

        svg {
            width: 100%;
            height: 100%;

            path {
                stroke: color("gray");
                fill: color("gray");
            }
            text {
                cursor: text;
                z-index: z("svg");
                fill: color("gray");
    
                &:hover {
                    fill: color("orange");
                }
            }
        }
    
        .state {
            cursor: pointer;
    
            circle {
                fill: color("white");
                stroke: color("gray");
                stroke-width: 3px;
            }
        
            &:hover > circle {
                fill: color("circle-fill");
            }
        }
    
        .transition {
            cursor: -webkit-grab;
            cursor: -moz-grab;
            cursor: grab;
        
            path {
                stroke: color("gray");
                fill: none;
            }
            
            &:hover {
                path {
                    stroke: color("orange");
                }
            }
        }
    
        .label-input {
            cursor: text;
            text-align: center;
            background-color: color("background");
            border-radius: 3px;
            padding: 5px;
            font-size: 20px;
        }
    }
}
